taccuino.vo

## Class AltroProdottoRequestDTO

- java.lang.Object
- - taccuino.vo.AltroProdottoRequestDTO

- Direct Known Subclasses:
    AltroProdottoResponseDTO

      public class AltroProdottoRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `code`
    `protected String` | `codeSystem`
    `protected String` | `codeSystemName`
    `protected Double` | `codeSystemVersion`
    `private LocalDate` | `dataFineAssunzione`
    `private LocalDate` | `dataInizioAssunzione`
    `private String` | `descrizione`
    `private String` | `noteAssunzione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AltroProdottoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `String` | `getCodeSystem()`
    `String` | `getCodeSystemName()`
    `Double` | `getCodeSystemVersion()`
    `LocalDate` | `getDataFineAssunzione()`
    `LocalDate` | `getDataInizioAssunzione()`
    `String` | `getDescrizione()`
    `String` | `getNoteAssunzione()`
    `void` | `setCode(String code)`
    `void` | `setCodeSystem(String codeSystem)`
    `void` | `setCodeSystemName(String codeSystemName)`
    `void` | `setCodeSystemVersion(Double codeSystemVersion)`
    `void` | `setDataFineAssunzione(LocalDate dataFineAssunzione)`
    `void` | `setDataInizioAssunzione(LocalDate dataInizioAssunzione)`
    `void` | `setDescrizione(String descrizione)`
    `void` | `setNoteAssunzione(String noteAssunzione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descrizione

          private String descrizione

    - #### noteAssunzione

          private String noteAssunzione

    - #### dataInizioAssunzione

          private LocalDate dataInizioAssunzione

    - #### dataFineAssunzione

          private LocalDate dataFineAssunzione

    - #### code

          protected String code

    - #### codeSystem

          protected String codeSystem

    - #### codeSystemName

          protected String codeSystemName

    - #### codeSystemVersion

          protected Double codeSystemVersion

  - ### Constructor Detail

    - #### AltroProdottoRequestDTO

          public AltroProdottoRequestDTO()

  - ### Method Detail

    - #### getDescrizione

          public String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(String descrizione)

    - #### getNoteAssunzione

          public String getNoteAssunzione()

    - #### setNoteAssunzione

          public void setNoteAssunzione(String noteAssunzione)

    - #### getDataInizioAssunzione

          public LocalDate getDataInizioAssunzione()

    - #### setDataInizioAssunzione

          public void setDataInizioAssunzione(LocalDate dataInizioAssunzione)

    - #### getDataFineAssunzione

          public LocalDate getDataFineAssunzione()

    - #### setDataFineAssunzione

          public void setDataFineAssunzione(LocalDate dataFineAssunzione)

    - #### getCode

          public String getCode()

    - #### setCode

          public void setCode(String code)

    - #### getCodeSystem

          public String getCodeSystem()

    - #### setCodeSystem

          public void setCodeSystem(String codeSystem)

    - #### getCodeSystemName

          public String getCodeSystemName()

    - #### setCodeSystemName

          public void setCodeSystemName(String codeSystemName)

    - #### getCodeSystemVersion

          public Double getCodeSystemVersion()

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(Double codeSystemVersion)